#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from cmk.gui.i18n import _
from cmk.gui.plugins.visuals.inventory import (
    FilterInvtableAdminStatus,
    FilterInvtableTimestampAsAge,
)
from cmk.gui.views.inventory.registry import inventory_displayhints

inventory_displayhints.update({
    '.networking.bgp_peers:': {
        'title': _('BGP Peers'),
        'keyorder': [
            'remote_addr',
            'peer_state', 'last_change', 'in_service',
            'local_addr', 'remote_id', 'local_id', 'remote_as', 'local_as',
        ],
        'view': 'invbgppeer_of_host',
    },
    '.networking.bgp_peers:*.remote_addr': {'title': _('Remote address'), },
    '.networking.bgp_peers:*.local_addr': {'title': _('Local address'), },
    '.networking.bgp_peers:*.remote_id': {'title': _('Remote ID'), },
    '.networking.bgp_peers:*.local_id': {'title': _('Local ID'), },
    '.networking.bgp_peers:*.remote_as': {'title': _('Remote AS'), },
    '.networking.bgp_peers:*.local_as': {'title': _('Local AS'), },
    '.networking.bgp_peers:*.bgp_type': {'title': _('Type'), },
    '.networking.bgp_peers:*.version': {'title': _('Version'), },
    '.networking.bgp_peers:*.last_error': {'title': _('Last error'), },
    '.networking.bgp_peers:*.last_error_code': {'title': _('Last error code'), },
    '.networking.bgp_peers:*.address_family': {'title': _('Address family'), },
    '.networking.bgp_peers:*.as_name': {'title': _('Remote AS Name'), },
    '.networking.bgp_peers:*.as_org_name': {'title': _('Remote AS Org Name'), },
    '.networking.bgp_peers:*.peer_state': {
        'title': _('Peer state'),
        'short': _('State'),
        'paint': 'if_admin_status',
        'filter': FilterInvtableAdminStatus,
    },
    '.networking.bgp_peers:*.in_service': {
        'title': _('In service'),
        'short': _('In service'),
        'paint': 'bool',
        # 'filter': FilterInvBool,
    },
    '.networking.bgp_peers:*.last_change': {
        'title': _('Last change'),
        'short': _('Last change'),
        'paint': 'timestamp_as_age_days',
        'filter': FilterInvtableTimestampAsAge,
    },
})
